from uuid import UUID

import psycopg
from psycopg import sql


def execute_tenant_rls(connection: psycopg.Connection, tenant_id: UUID) -> None:
    """テナントごとのRLSを有効にするための関数

    テナント確定後、テナントごとの操作を実施する前に使用する。それ以外では使用しない。
    """
    connection.execute(
        sql.SQL("SELECT set_config('app.tenant_id', %s, false);"),
        (str(tenant_id),),
    )
